<?php
class Person // definicja klasy
{
    private $name; // właściwość klasy

    public function setName(string $name) // metoda klasy
    {
        $this->name = $name; // przypisanie wartości do właściwości klasy
    }

    public function getName() : string // metoda klasy
    {
        return $this->name; // pobranie wartości właściwości klasy
    }
}
$contact = new Person(); // tworzenie egzemplarza klasy
$contact->setName(name: "Robert"); // wywołanie metody klasy
print $contact->getName(); // wydrukowanie wartości właściwości klasy